/*
 *2013-09-25
 *Program 3
 *Bradley Forney
 *CIS 127
 *Professor: Craig Sharp
 * 
*/
 
import java.util.Scanner;
import java.util.ArrayList; 
 
/**
 *
 * @author Bradley Forney
 */
 public class Owner {
    //Internal Variables
    private static ArrayList<String> ownerFirstNameArray = new ArrayList<>();
	private static ArrayList<String> ownerLastNameArray = new ArrayList<>();	
	private static ArrayList<String> ownerEmailAddressArray = new ArrayList<>();
	private static ArrayList<String> ownerPhoneNumberArray = new ArrayList<>();
 
   
//GETTERS   
    /**
     * Get owner first name
     * @param index
     * @return
     */
    public String getOwnerFirstName(int index)
    {
        return ownerFirstNameArray.get(index);
    }
    /**
     * Get owner last name
     * @param index
     * @return
     */
    public String getOwnerLastName(int index)
    {
        return ownerLastNameArray.get(index);
    }
	/**
     * Get owner email address
     * @param index
     * @return
     */
    public String getOwnerEmailAddress(int index)
    {
        return ownerEmailAddressArray.get(index);
    }
	/**
     * Get owner phone number
     * @param index
     * @return
     */
    public String getOwnerPhoneNumber(int index)
    {
        return ownerPhoneNumberArray.get(index);
    }
	
//GET SIZE  
    /**
     * Get size owner first name array
     * @return
     */
    public int getSizeOwnerFirstName()
    {
        return ownerFirstNameArray.size();
    }
    /**
     * Get size owner last name array
     * @return
     */
    public int getSizeOwnerLastName()
    {
        return ownerLastNameArray.size();
    }
	/**
     * Get size owner email array
     * @return
     */
    public int getSizeOwnerEmailAddress()
    {
        return ownerEmailAddressArray.size();
    }
	/**
     * Get size owner phone array
     * @return
     */
    public int getSizeOwnerPhoneNumber()
    {
        return ownerPhoneNumberArray.size();
    }
		
//ADD NEW
    /**
     * Set new owner first name
     */
    public void setNewOwnerFirstName()
    {
		Scanner keyboard = new Scanner(System.in);
		String entry;
		System.out.print("Owner's First Name: ");
		entry=keyboard.nextLine();
		ownerFirstNameArray.add(entry);
    }
    /**
     * Set new owner last name
     */
    public void setNewOwnerLastName()
    {
		Scanner keyboard = new Scanner(System.in);
		String entry;
		System.out.print("Owner's Last Name: ");
		entry=keyboard.nextLine();
		ownerLastNameArray.add(entry);
    }
	/**
     * Set new owner email address
     */
    public void setNewOwnerEmailAddress()
    {
		Scanner keyboard = new Scanner(System.in);
		String entry;
		System.out.print("Owner's Email Address: ");
		entry=keyboard.nextLine();
		ownerEmailAddressArray.add(entry);
    }
	/**
     * Set new owner phone number
     */
    public void setNewOwnerPhoneNumber()
    {
		Scanner keyboard = new Scanner(System.in);
		String entry;
		System.out.print("Owner's Phone Number: ");
		entry=keyboard.nextLine();
		ownerPhoneNumberArray.add(entry);
    }
    
	
	
//CHANGE EXISTING	
    /**
     * Modify owner first name
     * @param index
     * @param ownerFirstName
     */
    public void modifyOwnerFirstName(int index, String ownerFirstName)
    {
		ownerFirstNameArray.set(index, ownerFirstName);
    }
    /**
     * Modify owner last name
     * @param index
     * @param ownerLastName
     */
    public void modifyOwnerLastName(int index, String ownerLastName)
    {
		ownerLastNameArray.set(index, ownerLastName);
    }
	/**
     * Modify owner email address
     * @param index
     * @param ownerEmailAddress
     */
    public void modifyOwnerEmailAddress(int index, String ownerEmailAddress)
    {
		ownerEmailAddressArray.set(index, ownerEmailAddress);
    }
	/**
     * Modify owner phone number
     * @param index
     * @param ownerPhoneNumber
     */
    public void modifyOwnerPhoneNumber(int index, String ownerPhoneNumber)
    {
		ownerPhoneNumberArray.set(index, ownerPhoneNumber);
    }
	

//"DELETES" EXISTING
//Don't actually delete any items in the array. You will cry. A lot.
    /**
     * Deletes owner first name
     * @param index
     */
    public void deleteOwnerFirstName(int index)
    {
		ownerFirstNameArray.set(index, "[Entry Removed]");
    }
    /**
     * Deletes owner last name
     * @param index
     */
    public void deleteOwnerLastName(int index)
    {
		ownerLastNameArray.set(index, "[Entry Removed]");
    }
	/**
     * Deletes owner email address
     * @param index
     */
    public void deleteOwnerEmailAddress(int index)
    {
		ownerEmailAddressArray.set(index, "[Entry Removed]");
    }
	/**
     * Deletes owner phone number
     * @param index
     */
    public void deleteOwnerPhoneNumber(int index)
    {
		ownerPhoneNumberArray.set(index, "[Entry Removed]");
    }
}
