/*
 *2013-09-25
 *Program 3
 *Bradley Forney
 *CIS 127
 *Professor: Craig Sharp
 * 
*/

import java.util.Scanner;
import java.util.ArrayList; 
 
/**
 *
 * @author Bradley Forney
 */
 public class Pet {
    //Internal Variables
    private static ArrayList<String> petNameArray = new ArrayList<>(); 
	private static ArrayList<String> petTypeArray = new ArrayList<>(); 
	
	private static ArrayList<Integer> petAssociationArray = new ArrayList<>(); 
	private static ArrayList<Integer> ownerAssociationArray = new ArrayList<>(); 
	private static ArrayList<Integer> vetAssociationArray = new ArrayList<>(); 
 
   
//GETTERS   
    /**
     * Get pet name
     * @param index
     * @return
     */
    public String getPetName(int index)
    {
        return petNameArray.get(index);
    }
    /**
     * Get pet type
     * @param index
     * @return
     */
    public String getPetType(int index)
    {
        return petTypeArray.get(index);
    }
	/**
     * Get pet association
     * @param index
     * @return
     */
    public int getPetAssociation(int index)
    {
        return petAssociationArray.get(index);
    }
	/**
     * Get owner association
     * @param index
     * @return
     */
    public int getOwnerAssociation(int index)
    {
        return ownerAssociationArray.get(index);
    }
	/**
     * Get vet association
     * @param index
     * @return
     */
    public int getVetAssociation(int index)
    {
        return vetAssociationArray.get(index);
    }
	
//GET SIZE  
    /**
     * Get pet name array size
     * @return
     */
    public int getSizePetName()
    {
        return petNameArray.size();
    }
    /**
     * Get pet type array size
     * @return
     */
    public int getSizePetType()
    {
        return petTypeArray.size();
    }
	/**
     * Get pet association array size
     * @return
     */
    public int getSizePetAssociation()
	{
		return petAssociationArray.size();
	}
	/**
     * Get owner association array size
     * @return
     */
    public int getSizeOwnerAssociation()
	{
		return ownerAssociationArray.size();
	}
	/**
     * Get vet association array size
     * @return
     */
    public int getSizeVetAssociation()
	{
		return vetAssociationArray.size();
	}
	
//ADD NEW
    /**
     * Set new pet name
     */
    public void setNewPetName()
    {
		Scanner keyboard = new Scanner(System.in);
		String entry;
		System.out.print("Pet's Name: ");
		entry=keyboard.nextLine();
		petNameArray.add(entry);
    }
    /**
     * Set new pet type
     */
    public void setNewPetType()
    {
		Scanner keyboard = new Scanner(System.in);
		String entry;
		System.out.print("Pet's Type: ");
		entry=keyboard.nextLine();
        petTypeArray.add(entry);
    }
	/**
     * Set new pet association
     * @param index
     */
    public void setNewPetAssociation(int index)
	{
		petAssociationArray.add(index);
	}
	/**
     * Set new owner association
     */
    public void setNewOwnerAssociation()
	{
		ownerAssociationArray.add(-1);
	}
	/**
     * Set new vet association
     */
    public void setNewVetAssociation()
	{
		vetAssociationArray.add(-1);
	}
    
	
	
//CHANGE EXISTING	
    /**
     * Modify pet name
     * @param index
     * @param petName
     */
    public void modifyPetName(int index, String petName)
    {
		petNameArray.set(index, petName);
    }
    /**
     * Modify pet type
     * @param index
     * @param petType
     */
    public void modifyPetType(int index, String petType)
    {
        petTypeArray.set(index, petType);
    }
	/**
     * Modify pet association
     * @param index
     * @param petAssociation
     */
    public void modifyPetAssociation(int index, int petAssociation)
    {
        petAssociationArray.set(index, petAssociation);
    }
	/**
     * Modify owner association
     * @param index
     * @param ownerAssociation
     */
    public void modifyOwnerAssociation(int index, int ownerAssociation)
    {
        ownerAssociationArray.set(index, ownerAssociation);
    }
	/**
     * Modify vet association
     * @param index
     * @param vetAssociation
     */
    public void modifyVetAssociation(int index, int vetAssociation)
    {
        vetAssociationArray.set(index, vetAssociation);
    }
	

//"DELETES" EXISTING
//Don't actually delete any items in the array. You will cry. A lot.
    /**
     * Delete pet name
     * @param index
     */
    public void deletePetName(int index)
    {
        petNameArray.set(index, "[Entry Removed]");
    }
    /**
     * Delete pet type
     * @param index
     */
    public void deletePetType(int index)
    {
        petTypeArray.set(index, "[Entry Removed]");
    }
	/**
     * Delete pet association
     * @param index
     */
    public void deletePetAssociation(int index)
    {
        petAssociationArray.set(index, -1);
    }
	/**
     * Delete owner association
     * @param index
     */
    public void deleteOwnerAssociation(int index)
    {
        ownerAssociationArray.set(index, -1);
    }
	/**
     * Delete vet association
     * @param index
     */
    public void deleteVetAssociation(int index)
    {
        vetAssociationArray.set(index, -1);
    }
}
