/*
 *2013-09-25
 *Program 3
 *Bradley Forney
 *CIS 127
 *Professor: Craig Sharp
 * 
*/

import java.util.Scanner;
import java.util.ArrayList; 
 
/**
 *
 * @author Bradley Forney
 */
 public class VetTech {
    //Internal Variables
	private static ArrayList<String> vetTechFirstNameArray = new ArrayList<>(); 
	private static ArrayList<String> vetTechLastNameArray = new ArrayList<>(); 
 
   
//GETTERS   
    /**
     * Get vet's first name
     * @param index
     * @return
     */
    public String getVetTechFirstName(int index)
    {
        return vetTechFirstNameArray.get(index);
    }
    /**
     * Get vet's last name
     * @param index
     * @return
     */
    public String getVetTechLastName(int index)
    {
        return vetTechLastNameArray.get(index);
    }
	
//GET SIZE  
    /**
     * Get vet's first name array size
     * @return
     */
    public int getSizeVetTechFirstName()
    {
        return vetTechFirstNameArray.size();
    }
    /**
     * Get vet's last name array size
     * @return
     */
    public int getSizeVetTechLastName()
    {
        return vetTechLastNameArray.size();
    }
	
//ADD NEW
    /**
     * Set vet's first name 
     */
    public void setNewVetTechFirstName()
    {
		Scanner keyboard = new Scanner(System.in);
		String entry;
		System.out.print("Vet's First Name: ");
		entry=keyboard.nextLine();
		vetTechFirstNameArray.add(entry);
    }
    /**
     * Set vet's last name
     */
    public void setNewVetTechLastName()
    {
		Scanner keyboard = new Scanner(System.in);
		String entry;
		System.out.print("Vet's Last Name: ");
		entry=keyboard.nextLine();
        vetTechLastNameArray.add(entry);
    }
    
	
	
//CHANGE EXISTING	
    /**
     * Modify vet's first name
     * @param index
     * @param vetTechFirstName
     */
    public void modifyVetTechFirstName(int index, String vetTechFirstName)
    {
		vetTechFirstNameArray.set(index, vetTechFirstName);
    }
    /**
     * Modify vet's last name
     * @param index
     * @param vetTechLastName
     */
    public void modifyVetTechLastName(int index, String vetTechLastName)
    {
        vetTechLastNameArray.set(index, vetTechLastName);
    }
	

//"DELETES" EXISTING
//Don't actually delete any items in the array. You will cry. A lot.
    /**
     * Delete vet's first name
     * @param index
     */
    public void deleteVetTechFirstName(int index)
    {
        vetTechFirstNameArray.set(index, "[Entry Removed]");
    }
    /**
     * Delete vet's last name
     * @param index
     */
    public void deleteVetTechLastName(int index)
    {
        vetTechLastNameArray.set(index, "[Entry Removed]");
    }
}
